eric ide

Issue121

Classification
Title: I cannot configure eric5 for some items
Type: crash Product: eric5
Process
Priority: high    
Status: closed Resolution: works for me
Superseder: Nosy List: bluephoenix, detlev
Assigned to: detlev Keywords:

Created on 2014-01-02.14:24:43 by bluephoenix, last changed by detlev.

Messages (3.0)
msg539 (view) Author: detlev Date: 2014-08-02.11:09:34
Issue author did not respond.
msg442 (view) Author: detlev Date: 2014-01-02.15:52:58
I am not able to reproduce the issue. However, PyQt4 and/or Qt5 seem to be a bit 
flaky. On my Mac several menu entries are missing or are shown incomplete whereas 
the same does not happen with PyQt4 and Qt 4.8.5. Please try the later 
combination.
msg441 (view) Author: bluephoenix Date: 2014-01-02.14:24:43
I am using eric5 with the following depandencies:
Checking dependencies
Python Version: 3.3.3
Found PyQt4
Found QScintilla2
Found QtGui
Found QtNetwork
Found QtSql
Found QtSvg
Found QtWebKit
Qt Version: 5.2.0
PyQt Version:  4.10.3
QScintilla Version:  2.8
All dependencies ok.

The current version of eric5 is 5.4.0 RC1. But indeed, the previous version of 5.3.9 
also has the same issue. And I didn't use any previous version before.

My issue is I cannot configure eric5 in the preference for some items, such as editor's 
all items. But some other items can be configured.

The error log is as the following:

2014-01-02, 22:22:11
--------------------------------------------------------------------------------
<class 'RuntimeError'>: 
wrapped C/C++ object of type ConfigurationDialog has been deleted
--------------------------------------------------------------------------------
  File "/System/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-
packages/eric5/UI/UserInterface.py", line 5618, in __pluginsConfigure
    self.showPreferences("pluginManagerPage")
  File "/System/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/site-
packages/eric5/UI/UserInterface.py", line 5115, in showPreferences
    if dlg.result() == QDialog.Accepted:

--------------------------------------------------------------------------------
Version Numbers:
  Python 3.3.3
  Qt 5.2.0
  PyQt4 4.10.3
  sip 4.15.3
  QScintilla 2.8
  WebKit 538.1
  eric5 5.4.0-RC1 (rev 0ede9c1c7284)

Platform: darwin
3.3.3 (v3.3.3:c3896275c0f6, Nov 16 2013, 23:39:35) 
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)]
--------------------------------------------------------------------------------
Plugins Version Numbers:
  PluginAbout 5.4.0
  PluginCodeStyleChecker 5.4.0
  PluginEricapi 5.4.0
  PluginEricdoc 5.4.0
  PluginSyntaxChecker 5.4.0
  PluginTabnanny 5.4.0
  PluginVcsMercurial 5.4.0
  PluginVcsPySvn 5.4.0
  PluginVcsSubversion 5.4.0
  PluginVmListspace 5.4.0
  PluginVmTabview 5.4.0
  PluginWizardE5MessageBox 5.4.0
  PluginWizardPyRegExp 5.4.0
  PluginWizardQColorDialog 5.4.0
  PluginWizardQFileDialog 5.4.0
  PluginWizardQFontDialog 5.4.0
  PluginWizardQInputDialog 5.4.0
  PluginWizardQMessageBox 5.4.0
  PluginWizardQRegExp 5.4.0
  PluginWizardQRegularExpression 5.4.0

My computer is macbook with OSX 10.9.1.

So now what should I do?
History
Date User Action Args
2014-08-02 11:09:34detlevsetstatus: pending -> closed
resolution: works for me
messages: + msg539
message_count: 2.0 -> 3.0
2014-01-06 15:39:18detlevsetstatus: open -> pending
2014-01-02 15:52:58detlevsetmessage_count: 1.0 -> 2.0
messages: + msg442
2014-01-02 15:51:08detlevsetstatus: new -> open
assignedto: detlev
nosy: + detlev
2014-01-02 14:24:43bluephoenixcreate